package org.example.petshopdesktop.models;

import java.math.BigDecimal;
import java.time.LocalDate;

public class PurchaseOrder {

    private long purchaseOrderId;
    private String supplierName;
    private LocalDate orderDate;
    private LocalDate expectedDeliveryDate;
    private String status;
    private BigDecimal totalAmount;

    public PurchaseOrder(long purchaseOrderId,
                         String supplierName,
                         LocalDate orderDate,
                         LocalDate expectedDeliveryDate,
                         String status,
                         BigDecimal totalAmount) {
        this.purchaseOrderId = purchaseOrderId;
        this.supplierName = supplierName;
        this.orderDate = orderDate;
        this.expectedDeliveryDate = expectedDeliveryDate;
        this.status = status;
        this.totalAmount = totalAmount;
    }

    public long getPurchaseOrderId() {
        return purchaseOrderId;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public LocalDate getOrderDate() {
        return orderDate;
    }

    public LocalDate getExpectedDeliveryDate() {
        return expectedDeliveryDate;
    }

    public String getStatus() {
        return status;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }
}